
local Client = Game:addState('Client')

function Client:enterState()
  print("initializing client")
  self.recetions = 0

  function onReceive(data)
    print('Received ' .. tostring(data))
    self.receptions = self.receptions + 1
  end

  self.lube_client = lube.client()
  self.lube_client:setHandshake("Hi!")
  self.lube_client:setCallback(onReceive)
  self.lube_client:connect("127.0.0.1", 18025)
  print("initialized client")
end

function Client:update(dt)
  self.lube_client:update(dt)
end
  
function Client:draw()
  love.graphics.print('Receptions: ' .. tostring(self.receptions), 0,0)  
end

function Client.keypressed(k)
  if k=='escape' then
    self:gotoState('Menu')
  end
end

function Client:exitState()
  print("Exiting client")
  self.lube_client = nil
end
